#include <bits/stdc++.h>

using namespace std;

void Solve(long long A, long long B){
    long long lim=sqrt(A);
    for(long long i=1;i<=lim;i+=2){
        long long x=i;
        long long y=A/x;
        if((x^y)==B){
            cout<<x<<" "<<y<<endl;
            return;
        }
    }
    cout<<-1<<endl;
}

int main()
{
    int T;
    cin>>T;
    for(int i=0;i<T;i++){
        long long A,B;
        cin>>A>>B;
        Solve(A,B);
    }
    return 0;
}